## org.w3c.tools.resources.event
Interface FrameEventListener

All Known Implementing Classes:
  FramedResource, ResourceEventMulticaster

public abstract interface FrameEventListener
extends java.util.EventListener

Method Summary
`void` | `frameAdded(FrameEvent evt)` This handles the `FRAME_ADDED` kind of events.
`void` | `frameModified(FrameEvent evt)` This handles the `FRAME_MODIFIED` kind of events.
`void` | `frameRemoved(FrameEvent evt)` A frame is about to be removed This handles the `FRAME_REMOVED` kind of events.

Method Detail

### frameAdded

    public void frameAdded(FrameEvent evt)

  This handles the `FRAME_ADDED` kind of events.
  Parameters:
    `evt` - The FrameEvent.

### frameModified

    public void frameModified(FrameEvent evt)

  This handles the `FRAME_MODIFIED` kind of events.
  Parameters:
    `evt` - The event describing the change.

### frameRemoved

    public void frameRemoved(FrameEvent evt)

  A frame is about to be removed This handles the `FRAME_REMOVED` kind of events.
  Parameters:
    `evt` - The event describing the change.